# GetOverpayments

Use this function to retrieve overpayments.

**Note:**

* Create Overpayments using the CreateBankTransaction function.
* Refund Overpayments using the CreatePayment function.

### Properties <a href="#properties" id="properties"></a>

**Authentication**

Authentication values used to connect to the Xero server.

**Overpayment id**

You can retrieve an individual record by specifying the OverpaymentID.

**Modified after**

A UTC timestamp (yyyy-mm-ddThh:mm:ss) . Only records created or modified since this timestamp will be returned e.g. 2009-11-12T00:00:00.

**Where**

Restrict the returned items using the specified criteria. See Where filter.

**Order by**

Return items in a specific order. See Order by filter.

**Page**

e.g. page=1 – Up to 100 overpayments will be returned in a single API call with line items shown for each overpayment.

**Return options**

Select how the data is to be returned.

Possible values are:

* Only the first item.
* The first item or an empty item.
* All the items one by one.
* All of the items at once.

### Output <a href="#output" id="output"></a>

**Return type of Overpayments**

A list of overpayments or a single overpayment depending on the selected *Return option* (see above).

### Links <a href="#links" id="links"></a>

[Xero Developer: Overpayments (GET)](https://developer.xero.com/documentation/api/overpayments#GET)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/overpayments/getoverpayments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
